6.9.2

# scevtlog

Event log preserving the history of updates.

## Description

Running SeisComP causes many database accesses for writing. Anytime a new event has been created a new row will be inserted in the database table. When the same event is updated the row in the database table is going to be changed as well. The information about the history of the event is lost because the database contains only the current event attributes. scevtlog saves the event history into files. While scevtlog is running it keeps the track of all event updates and stores this information in a directory that can be analyzed at anytime. The stored information is written as plain text in an easily readable format. Additionally scevtlog maintains an event summary file for an overview of the event history.

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scevtlog.cfg`
`etc/global.cfg`
`etc/scevtlog.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scevtlog.cfg`

scevtlog inherits global options.

directory

  Default: `@LOGDIR@/events`

  Type: string

  Specify the output directory. Within this directory the logging directory structure and the event files are stored.

format

  Default: `xml`

  Type: string

  Specify output event format (default is autoloc3). For completeness it is recommended to switch to xml as storage format. The autoloc3 format can be easily reconstructed with scbulletin but not the other way around.

gzip

  Default: `false`

  Type: boolean

  If format is xml then all XML files will be compressed with gzip and stored with file extension ".xml.gz". They are also valid gzip files and can be used as input to e.g. zgrep.

## Command-Line Options

scevtlog [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

--start-stop-msg arg

  Set sending of a start and a stop message.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--db-disable

  Do not use the database at all

### Storage

-o, --directory arg

  Overrides configuration parameter `directory`.

-f, --format arg

  Overrides configuration parameter `format`.